Herald
OpenapiUsers

Get user roles

Returns the list of roles assigned to a specific user.

GET
/api/users/{realmId}/{userId}/roles

Returns the list of roles assigned to a specific user.

Path Parameters

realmId*string

Realm ID

userId*string

User ID

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/api/users/string/497f6eca-6276-4993-bfeb-53cbbbba6f08/roles"
{  "roles": [    {      "description": "string",      "expiresAt": "string",      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "source": "string",      "sourceId": "string"    }  ]}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}